package main

import (
	"fmt"
	"jjl-tools/tinodeService/config"
	. "jjl-tools/tinodeService/service"
)

func main() {
	//数据库初始化
	conf :=config.Conf{
		DbConnect:"dev_jjlrednet:FFH5cv94l3j5gk98@(192.168.204.180:3377)/tinode?charset=utf8&parseTime=True&loc=Local",//数据库配置
		RedisConnect:"192.168.204.183:6379",//redis配置
	}
	conf.Init()

	//通过chatId获取用户的所有的会话列表
	sub:=new(SubscriptionsService)
	mesList,_:=sub.GetSubsCoutomerListByChatId("22RymOGBDBw")
	fmt.Println("===mesList==", mesList)

	//通过会话topic 查看聊记录
	topicService := Topics{
		Topic:      "p2pvUxuIC8HthonmVuGVFAh0A",//会话标题
		Sid:        "",//会话chatid
		CreateTime: "",
		PageSize:   10,
	}
	list,_:=topicService.GetMessageList()
	fmt.Println("===list==", list)
	//获取会话开始时间, 结束时间
	timeLists :=topicService.GetChatRecordStartEndTime()
	fmt.Println("===timeLists==", timeLists)
}